-- 基础信息
base_info = {
	group_id = 246201001
}

-- Trigger变量
defs = {
	center_point = 1008,
	air_wall = 1009,
	bridge = 1015
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	-- 平台A空气墙
	{ config_id = 1009, gadget_id = 70800170, pos = { x = 60.350, y = 48.783, z = 79.760 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1, state = GadgetState.ChestOpened },
	{ config_id = 1015, gadget_id = 70800168, pos = { x = 60.479, y = 51.619, z = 101.315 }, rot = { x = 358.887, y = 0.442, z = 0.215 }, level = 1 }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 1001, pos = { x = 60.070, y = 48.720, z = 81.610 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 1002, pos = { x = 56.167, y = 48.790, z = 80.656 }, rot = { x = 0.012, y = 155.532, z = 0.065 }, tag = 2 },
	{ config_id = 1003, pos = { x = 63.705, y = 48.655, z = 80.666 }, rot = { x = 0.011, y = 199.807, z = 359.947 }, tag = 2 },
	{ config_id = 1004, pos = { x = 53.797, y = 48.350, z = 84.408 }, rot = { x = 0.000, y = 154.605, z = 0.000 }, tag = 2 },
	{ config_id = 1005, pos = { x = 60.182, y = 48.718, z = 86.172 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 1006, pos = { x = 66.528, y = 48.662, z = 84.549 }, rot = { x = 0.000, y = 195.451, z = 0.000 }, tag = 2 },
	{ config_id = 1007, pos = { x = 54.498, y = 48.394, z = 74.970 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 1008, pos = { x = 60.226, y = 48.717, z = 78.557 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 1010, pos = { x = 57.542, y = 48.765, z = 76.839 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 1011, pos = { x = 63.184, y = 48.664, z = 76.822 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 1012, pos = { x = 67.259, y = 48.680, z = 75.090 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 1013, pos = { x = 58.050, y = 48.417, z = 73.030 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 1014, pos = { x = 63.579, y = 48.324, z = 73.199 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	-- 传送点
	{ config_id = 1016, pos = { x = 60.216, y = 48.910, z = 76.989 }, rot = { x = 0.000, y = 0.000, z = 0.000 } }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 1009, 1015 },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_7/Rogue_Cell"
require "V2_7/Rogue_Terrain_1"
